originalSignal = randn(1, 10);
upsampledSignal = upsample(originalSignal, 2);
downsampledSignal = downsample(upsampledSignal, 2);
subplot(3, 1, 1);
stem(originalSignal, 'b', 'LineWidth', 2);
title('Original Signal');
subplot(3, 1, 2);
stem(upsampledSignal, 'r', 'LineWidth', 2);
title('Upsampled Signal');
subplot(3, 1, 3);
stem(downsampledSignal, 'g', 'LineWidth', 2);
%title('Downsampled Signal');
title('Upsampling and Downsampling in MATLAB');
