clc
clear all
close all
warning off
x=cumsum(rand(1,10000));
plot(x);
title('Original Noisy Signal');
%%
g=fspecial('gaussian',[1 100],10);
figure;
plot(g);
title('Gaussian Low pass Filter');
%%
y=conv(x,g);
figure;
plot(x,'b');
hold on;
plot (y,'r', 'linewidth',2);
legend('Noisy Signal','Signal after noise removal');